# field

fun field (): FieldCondition < T >

Start a new field reflection.

#### Return

FieldCondition

fun field (condition: FieldCondition < T >): List < FieldResolver < T >>

Start a new field reflection.

#### Return

FieldResolver

#### Parameters

condition

the condition.

#### See also

KavaRef.MemberScope.firstField
KavaRef.MemberScope.firstFieldOrNull

inline fun field (condition: FieldCondition < T >.() -> Unit ): List < FieldResolver < T >>

Start a new field reflection.

#### Return

FieldResolver

#### Parameters

condition

the condition body.

#### See also

KavaRef.MemberScope.firstField
KavaRef.MemberScope.firstFieldOrNull